BDNavigation.BDStatusListener

com.rscja.deviceapi

## Interface BDNavigation.BDStatusListener

- Enclosing class:
    BDNavigation

      public static interface BDNavigation.BDStatusListener

  北斗模块状态监听接口
  Beidou module status monitor contact.
  Author:
    liuruifeng

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onBDSatelliteChanged(java.util.ArrayList<SatelliteEntity> lst)` 卫星信息改变时调用 Call it after satellite infor changed.
    `void` | `onBDSatelliteFIX(int count)` 定位成功后调用 Call it after postioning success.
    `void` | `onBDSatelliteLocating()` 定位时调用 Call it when postioning
    `void` | `onBDSatelliteUsedChanged(int count)` 已用卫星数改变后调用 Call it after used satellite qty changed.
    `void` | `onBDSatelliteViewChanged(int count)` 可见卫星数改变后调用 Call it after visable satellite qty changed.
    `void` | `onSpeed(double spd)` 时速 Speed

- - ### Method Detail

    - #### onBDSatelliteViewChanged

          void onBDSatelliteViewChanged(int count)

      可见卫星数改变后调用
      Call it after visable satellite qty changed.
      Parameters:
        `count` - 可见卫星数
        Visable satellite qty.

    - #### onBDSatelliteUsedChanged

          void onBDSatelliteUsedChanged(int count)

      已用卫星数改变后调用
      Call it after used satellite qty changed.
      Parameters:
        `count` - 已用卫星数
        Used satellite qty.

    - #### onBDSatelliteChanged

          void onBDSatelliteChanged(java.util.ArrayList<SatelliteEntity> lst)

      卫星信息改变时调用
      Call it after satellite infor changed.
      Parameters:
        `lst` - 卫星列表
        Satellite list

    - #### onBDSatelliteFIX

          void onBDSatelliteFIX(int count)

      定位成功后调用
      Call it after postioning success.
      Parameters:
        `count` - 可用卫星数
        Available satellite qty

    - #### onBDSatelliteLocating

          void onBDSatelliteLocating()

      定位时调用
      Call it when postioning
      Parameters:
        `count` - 可见卫星数
        Visable satellite qty

    - #### onSpeed

          void onSpeed(double spd)

      时速
      Speed